API keys API
List API keys belonging to account
GET https://service.maptiler.com/v1/api_keys
Request
You must include an Service Token with every API request
Query Parameters
| Parameters | Type | Description |
|---|---|---|
| cursor | string <byte> |
Page cursor
|
| limit | integer |
Page limit
>= 10<= 100Default: 50 |
Responses
| Code | Content | Description |
|---|---|---|
| 200 | application/json | APIKeyPage |
Create new key
POST https://service.maptiler.com/v1/api_keys
Request
You must include an Service Token with every API request
Body
| Content-Type | Data | application/json |
|---|
Responses
| Code | Content | Description |
|---|---|---|
| 200 | application/json | APIKey |
Get key
GET https://service.maptiler.com/v1/api_keys/{key_id}
Request
You must include an Service Token with every API request
Path Parameters
| Parameters | Type | Description |
|---|---|---|
| keyId | string <uuid> |
Identifier of API Key.
|
Responses
| Code | Content | Description |
|---|---|---|
| 200 | application/json | APIKey |
Delete given key
DELETE https://service.maptiler.com/v1/api_keys/{key_id}
Request
You must include an Service Token with every API request
Path Parameters
| Parameters | Type | Description |
|---|---|---|
| keyId | string <uuid> |
Identifier of API Key.
|
Responses
| Code | Content | Description |
|---|---|---|
| 200 |
Successfully deleted |
Update given key
POST https://service.maptiler.com/v1/api_keys/{key_id}/change_settings
Request
You must include an Service Token with every API request
Path Parameters
| Parameters | Type | Description |
|---|---|---|
| keyId | string <uuid> |
Identifier of API Key.
|
Body
| Content-Type | Data | application/json |
|---|
Responses
| Code | Content | Description |
|---|---|---|
| 200 | application/json | APIKey |
APIKeyPage
| Property | Type | Description |
|---|---|---|
| cursor | string <byte> or null | |
| total_count | integer | |
| items | array[APIKey ] |
APIKey
| Property | Type | Description |
|---|---|---|
| id | string <uuid> | |
| token | string | |
| name | string | |
| description | string or null | |
| user_agent | string or null | |
| origins | array [string] | |
| created | string <date-time> | |
| changed | string <date-time> |
APIKeySettings
| Property | Type | Description |
|---|---|---|
| name | string or null | Will be generated automatically unless provided explicitly.
|
| description | string or null | |
| user_agent | string or null | Processes only requests where the User-Agent HTTP header contains this exact, case-sensitive substring.
Wildcards are not supported; only a single string is allowed.
Useful for increasing security of your key used in custom mobile or desktop applications.
Leave empty to allow requests from any user-agent.
|
| origins | array [string] | Specifies which HTTP origins are allowed to access the API.
For example [ mydomain.com] will ensure, that only requests coming from mydomain.com will be processed.
Use *.mydomain.com to allow all subdomains.
Ensure your application sends the Origin or Referer header; otherwise, requests are treated as unknown and will be rejected if any origin is specified.
Use ? placeholder to explicitly allow unknown origins.
|
Using the OpenAPI Specification?
Get the openapi.yaml
On this page